class PageComponentDocumentation

This file provides property and method documentation for the model PageComponent.

This file is generated by the XELOS command line tool xf kickstart. It will be overwritten when new kickstart actions are performed.

Add @mixin \XELOS\Modules\Pages\Docs\ClassGenerated\Model\PageComponentDocumentation to the model to get access to the properties.

Properties

int $id
int $page_id
int $page_version_id
string $ref_key:

stored in MySQL as varchar

string $locale:

stored in MySQL as varchar

string $data:

stored in MySQL as blob

int $user_id
int $created_at:

stored in MySQL as timestamp

int $updated_at:

stored in MySQL as timestamp

string $deleted_at

Methods

PageComponent[]
all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

int
count_all(mixed $sql_params)

Returns the count

int
delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

PageComponent[]
find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

PageComponent
find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Details

at line 33
PageComponent[] all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

Parameters

mixed $sql_params

Return Value

PageComponent[]

at line 33
int count_all(mixed $sql_params)

Returns the count

Parameters

mixed $sql_params

Return Value

int

at line 33
int delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Parameters

int $id
mixed $sql_params

Return Value

int

at line 33
PageComponent[] find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

PageComponent[]

at line 33
PageComponent find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

PageComponent